Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.geotiff
Class GeoTiffTag

    java.lang.Object
      org.deegree.io.geotiff.GeoTiffTag

    public class GeoTiffTag

extends Object

This class represents the possible GeoTIFF tags (from 256 to 34737)

Since:
Version:
  2.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Axel Schaefer, last edited by: $Author: mschneider $

Field Summary
`static int` | `BitsPerSample`
`static int` | `ColorMap`
`static int` | `Compression`
`static int` | `DocumentName`
`static int` | `FillOrder`
`static int` | `GeoAsciiParamsTag`
`static int` | `GeoDoubleParamsTag`
`static int` | `GeoKeyDirectoryTag`
`static int` | `ImageDescription`
`static int` | `ImageLength`
`static int` | `ImageWidth`
`static int` | `IntergraphMatrixTag`
`static int` | `ModelPixelScaleTag`
`static int` | `ModelTiepointTag`
`static int` | `ModelTransformationTag`
`static int` | `Orientation`
`static int` | `PhotometricInterpretation`
`static int` | `PlanarConfiguration`
`static int` | `ResolutionUnit`
`static int` | `RowsPerStrip`
`static int` | `SampleFormat`
`static int` | `SamplesPerPixel`
`static int` | `SMaxSampleValue`
`static int` | `SMinSampleValue`
`static int` | `Software`
`static int` | `StripByteCounts`
`static int` | `StripOffsets`
`static int` | `TileByteCounts`
`static int` | `TileLength`
`static int` | `TileOffsets`
`static int` | `TileWidth`
`static int` | `XResolution`
`static int` | `YResolution`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ImageWidth

    public static final int ImageWidth

See Also:
  Constant Field Values

### ImageLength

    public static final int ImageLength

See Also:
  Constant Field Values

### BitsPerSample

    public static final int BitsPerSample

See Also:
  Constant Field Values

### Compression

    public static final int Compression

See Also:
  Constant Field Values

### PhotometricInterpretation

    public static final int PhotometricInterpretation

See Also:
  Constant Field Values

### FillOrder

    public static final int FillOrder

See Also:
  Constant Field Values

### DocumentName

    public static final int DocumentName

See Also:
  Constant Field Values

### ImageDescription

    public static final int ImageDescription

See Also:
  Constant Field Values

### StripOffsets

    public static final int StripOffsets

See Also:
  Constant Field Values

### Orientation

    public static final int Orientation

See Also:
  Constant Field Values

### SamplesPerPixel

    public static final int SamplesPerPixel

See Also:
  Constant Field Values

### RowsPerStrip

    public static final int RowsPerStrip

See Also:
  Constant Field Values

### StripByteCounts

    public static final int StripByteCounts

See Also:
  Constant Field Values

### XResolution

    public static final int XResolution

See Also:
  Constant Field Values

### YResolution

    public static final int YResolution

See Also:
  Constant Field Values

### PlanarConfiguration

    public static final int PlanarConfiguration

See Also:
  Constant Field Values

### ResolutionUnit

    public static final int ResolutionUnit

See Also:
  Constant Field Values

### Software

    public static final int Software

See Also:
  Constant Field Values

### ColorMap

    public static final int ColorMap

See Also:
  Constant Field Values

### TileWidth

    public static final int TileWidth

See Also:
  Constant Field Values

### TileLength

    public static final int TileLength

See Also:
  Constant Field Values

### TileOffsets

    public static final int TileOffsets

See Also:
  Constant Field Values

### TileByteCounts

    public static final int TileByteCounts

See Also:
  Constant Field Values

### SampleFormat

    public static final int SampleFormat

See Also:
  Constant Field Values

### SMinSampleValue

    public static final int SMinSampleValue

See Also:
  Constant Field Values

### SMaxSampleValue

    public static final int SMaxSampleValue

See Also:
  Constant Field Values

### ModelPixelScaleTag

    public static final int ModelPixelScaleTag

See Also:
  Constant Field Values

### IntergraphMatrixTag

    public static final int IntergraphMatrixTag

See Also:
  Constant Field Values

### ModelTiepointTag

    public static final int ModelTiepointTag

See Also:
  Constant Field Values

### ModelTransformationTag

    public static final int ModelTransformationTag

See Also:
  Constant Field Values

### GeoKeyDirectoryTag

    public static final int GeoKeyDirectoryTag

See Also:
  Constant Field Values

### GeoDoubleParamsTag

    public static final int GeoDoubleParamsTag

See Also:
  Constant Field Values

### GeoAsciiParamsTag

    public static final int GeoAsciiParamsTag

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org